[blfs-support] BLFS Version 2013-03-13 Chapter 9 - GMime-2.6.15

Niels Terp nielsterp at comhem.se
Fri Mar 15 04:08:56 PDT 2013



-----Oprindelig meddelelse-----
Fra: blfs-support-bounces at linuxfromscratch.org
[mailto:blfs-support-bounces at linuxfromscratch.org] På vegne af Armin K.
Sendt: 14. marts 2013 23:22
Til: BLFS Support List
Emne: Re: [blfs-support] BLFS Version 2013-03-13 Chapter 9 - GMime-2.6.15

On 03/14/2013 10:03 PM, Niels Terp wrote:
> Hi,
>
> I was compiling this package, but the build failed without 
> GPGME-1.3.2, which is listed as an optional dependency.
>
> Just FYI :-)
>
> Niels
>

That's pretty interesting. However you didn't explain what part failed. 
It would be nice to know where is the problem. GPGME isn't used unless
--enable-smime is passed to configure. If it gets used somwehere, then it's
a bug in the package and should be reported upstream.
--
http://linuxfromscratch.org/mailman/listinfo/blfs-support
FAQ: http://www.linuxfromscratch.org/blfs/faq.html
Unsubscribe: See the above information page

I got this error during 'make':

libtool: link: gcc -g -O2 -fno-strict-aliasing -o .libs/test-partial
test-partial.o -Wl,--export-dynamic -pthread -pthread
../gmime/.libs/libgmime-2.6.so /usr/lib/libgmodule-2.0.so
/usr/lib/libgthread-2.0.so /usr/lib/libgio-2.0.so /usr/lib/libgobject-2.0.so
/usr/lib/libglib-2.0.so -lz -lnsl -pthread
gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../util -DG_LOG_DOMAIN=\"gmime-tests\"
-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64  -pthread
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include     -g -O2
-fno-strict-aliasing -MT test-pkcs7.o -MD -MP -MF .deps/test-pkcs7.Tpo -c -o
test-pkcs7.o test-pkcs7.c
test-pkcs7.c:36:23: fatal fejl: gpg-error.h: Ingen sådan fil eller
filkatalog
oversættelse afsluttede.
make[3]: *** [test-pkcs7.o] Fejl 1
make[3]: Forlader katalog '/home/niels/xc/gmime-2.6.15/tests'
make[2]: *** [all-recursive] Fejl 1
make[2]: Forlader katalog '/home/niels/xc/gmime-2.6.15/tests'
make[1]: *** [all-recursive] Fejl 1
make[1]: Forlader katalog '/home/niels/xc/gmime-2.6.15'
make: *** [all] Fejl 2

After that, I installed GPGME-1.3.2 (and its dependancies) and tried again,
then it worked.

Niels




More information about the blfs-support mailing list